
/**
 * dummy logger, somewhat compatible with log4j
 */

public class Logger {

    private static int level = 2;

    public Logger() {
        level = 2;
    }

    public Logger(int l) {
        level = l;
    }

    public void debug( String msg ) {
        if ( level > 2 ) {
           System.out.println("debug "+msg);
        }
    }

    public void info( String msg ) {
        if ( level > 1 ) {
           System.out.println("info "+msg);
        }
    }

    public void warn( String msg ) {
        if ( level > 0 ) {
           System.out.println("warn "+msg);
        }
    }

}