/*
 * $Id: StrategyEnumeration.java,v 1.3 2003/12/29 22:46:42 kredel Exp $
 */

//package edu.jas;
package thread;

/**
 * StrategyEnumeration
 * This class names possible / implemented strategies.
 * @author Heinz Kredel.
 */

public final class StrategyEnumeration {

    public static final StrategyEnumeration FIFO = new StrategyEnumeration();

    public static final StrategyEnumeration LIFO = new StrategyEnumeration();

    private StrategyEnumeration() { }

    public String toString() {
        if (this == FIFO) {
           return "FIFO strategy";
        } else {
           return "LIFO strategy";
        }
    }

}
